#!/usr/bin/env python
# -*- coding: utf-8 -*-
import numpy as np
from numpy import *

def newgrid(x, y, z, mask, orog, z0, z1, y11):


    dx=0.1
    dy=1
    dparx=0.05
    dpary=0.5
    n0=0
#    y11= -50
    x0, x1 = -180, 180
    y0, y1 = -90, 90
    dx=0.1
    dy=1.0
    n=size(x)
    xvec = arange(x0,x1,dx)
    yvec = arange(y0,y11,dy)
    nx = size(xvec)
    ny = size(yvec)
    ix = zeros(n, float)
    iy = zeros(n, float)

    for kk in range(0,n):
        if x[kk] == -180:
            ix[kk] = 3600
        else:
            ix[kk] = math.ceil((x[kk] - x0)/dx)-1

    for kk in range(0,n):
        if y[kk] == -90:
            iy[kk] = 0
        else:
            iy[kk] = math.ceil((y[kk] - y0)/dy)-1

    inx = (ix >= 0) & (ix < nx)
    iny = (iy >= 0) & (iy < ny)
    inz = (z >= z0) & (z <= z1)
    inn = inx & iny & inz
    iix = ix[inn]
    iiy = iy[inn]
    zz = z[inn]
    mm = mask[inn]
    alt = orog[inn]
    lo = x[inn]
    la = y[inn]

    N = size(iix)# how many datapoints are left now?

    return zz, alt, mm, lo, la
