

mask=mppgrid_tab1.round()
llon, llat = np.meshgrid(xvec,yvec)
iplat=(mask<=0.5) & (llat<=-80)
iiplat=iplat*1

# on recupere les coordonnes xy de la projection orth standard
m1 = Basemap(projection='ortho', lat_0 = -90, lon_0 = 0,
resolution = 'l')

xii, yii = m1(*np.meshgrid(xvec,yvec))
width = m1.urcrnrx - m1.llcrnrx
height = m1.urcrnry - m1.llcrnry

coef = 0.6
width = width*coef
height = height*coef

# on fait une nouvelle projection en zoomant sur l'antarctique

map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\

llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
#, clevs, cmap=my_cmap)
clevs=arange(a1,a2,a3)#star, stop, step
cs=map.pcolor(xii,yii,iiplat)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title('plateformes)

# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 30), labels=[0, 0, 0, 1])
map.drawparallels(np.arange(-90, 90, 10), labels=[1, 0, 0, 0])
#plt.show()
plt.savefig('plateformes.png')
close()

#amsub

iplatv1=(ambch1[1,:]<=-80)&(ambch1[14,:]<=0.5)
iplatv2=(ambch2[1,:]<=-80)&(ambch2[14,:]<=0.5)
iplatv3=(ambch3[1,:]<=-80)&(ambch3[14,:]<=0.5)
iplatv4=(ambch4[1,:]<=-80)&(ambch4[14,:]<=0.5)
iplatv5=(ambch5[1,:]<=-80)&(ambch5[14,:]<=0.5)

tup_platab=np.zeros([5],float)
tup_platab[0]=mean(ambch1[18,iplatv1])
tup_platab[1]=mean(ambch2[18,iplatv2])
tup_platab[2]=mean(ambch3[18,iplatv3])
tup_platab[3]=mean(ambch4[18,iplatv4])
tup_platab[4]=mean(ambch5[18,iplatv5])

#amsub angles faibles
iplatv1n1=iplatv1 & (ambch1[7,:]<=13) | iplatv1 & (ambch1[7,:]>=78)
iplatv2n1=iplatv2 & (ambch2[7,:]<=13) | iplatv2 & (ambch2[7,:]>=78)
iplatv3n1=iplatv3 & (ambch3[7,:]<=13) | iplatv3 & (ambch3[7,:]>=78)
iplatv4n1=iplatv4 & (ambch4[7,:]<=13) | iplatv4 & (ambch4[7,:]>=78)
iplatv5n1=iplatv5 & (ambch5[7,:]<=13) | iplatv5 & (ambch5[7,:]>=78)

tup_platabn1=np.zeros([5],float)
tup_platabn1[0]=mean(ambch1[18,iplatv1n1])
tup_platabn1[1]=mean(ambch2[18,iplatv2n1])
tup_platabn1[2]=mean(ambch3[18,iplatv3n1])
tup_platabn1[3]=mean(ambch4[18,iplatv4n1])
tup_platabn1[4]=mean(ambch5[18,iplatv5n1])


#ecart types
tupet_platabn1=np.zeros([5],float)
tupet_platabn1[0]=sqrt(sum(ambch1[18,iplatv1n1]**2)/size(ambch1[18,iplatv1n1])-mean(ambch1[18,iplatv1n1])**2)
tupet_platabn1[1]=sqrt(sum(ambch2[18,iplatv2n1]**2)/size(ambch2[18,iplatv2n1])-mean(ambch2[18,iplatv2n1])**2)
tupet_platabn1[2]=sqrt(sum(ambch3[18,iplatv3n1]**2)/size(ambch3[18,iplatv3n1])-mean(ambch3[18,iplatv3n1])**2)
tupet_platabn1[3]=sqrt(sum(ambch4[18,iplatv4n1]**2)/size(ambch4[18,iplatv4n1])-mean(ambch4[18,iplatv4n1])**2)
tupet_platabn1[4]=sqrt(sum(ambch5[18,iplatv5n1]**2)/size(ambch5[18,iplatv5n1])-mean(ambch5[18,iplatv5n1])**2)


amsubch=np.array([1,2,3,4,5])
for i in range(0,5):
    ti=str(amsubch[i])
    t='tupet_platabn1['+str(i)+']=sqrt(sum(ambch'+ti+'[18,iplatv'+ti+'n1]**2)/size(ambch'+ti+'[18,iplatv'+ti+'n1])-mean(ambch'+ti+'[18,iplatv'+ti+'n1])**2)'
    print t

#amsua
iplatvaa1=(amch1[1,:]<=-80)&(amch1[14,:]<=0.5)
iplatvaa2=(amch2[1,:]<=-80)&(amch2[14,:]<=0.5)
iplatvaa3=(amch3[1,:]<=-80)&(amch3[14,:]<=0.5)
iplatvaa4=(amch4[1,:]<=-80)&(amch4[14,:]<=0.5)
iplatvaa5=(amch5[1,:]<=-80)&(amch5[14,:]<=0.5)
iplatvaa6=(amch6[1,:]<=-80)&(amch6[14,:]<=0.5)
iplatvaa7=(amch7[1,:]<=-80)&(amch7[14,:]<=0.5)
iplatvaa15=(amch15[1,:]<=-80)&(amch15[14,:]<=0.5)


tup_plataa=np.zeros([8],float)
tup_plataa[0]=mean(amch1[18,iplatvaa1])
tup_plataa[1]=mean(amch2[18,iplatvaa2])
tup_plataa[2]=mean(amch3[18,iplatvaa3])
tup_plataa[3]=mean(amch4[18,iplatvaa4])
tup_plataa[4]=mean(amch5[18,iplatvaa5])
tup_plataa[5]=mean(amch6[18,iplatvaa6])
tup_plataa[6]=mean(amch7[18,iplatvaa7])
tup_plataa[7]=mean(amch15[18,iplatvaa15])

#amsua angles faibles
iplatvaa1n1= iplatvaa1 & (amch1[7,:]<=5) | iplatvaa1 & (amch1[7,:]>=26)
iplatvaa2n1= iplatvaa2 & (amch2[7,:]<=5) | iplatvaa2 & (amch2[7,:]>=26)
iplatvaa3n1= iplatvaa3 & (amch3[7,:]<=5) | iplatvaa3 & (amch3[7,:]>=26)
iplatvaa4n1= iplatvaa4 & (amch4[7,:]<=5) | iplatvaa4 & (amch4[7,:]>=26)
iplatvaa5n1= iplatvaa5 & (amch5[7,:]<=5) | iplatvaa5 & (amch5[7,:]>=26)
iplatvaa6n1= iplatvaa6 & (amch6[7,:]<=5) | iplatvaa6 & (amch6[7,:]>=26)
iplatvaa7n1= iplatvaa7 & (amch7[7,:]<=5) | iplatvaa7 & (amch7[7,:]>=26)
iplatvaa15n1= iplatvaa15 & (amch15[7,:]<=5) | iplatvaa15 & (amch15[7,:]>=26)

tup_plataan1=np.zeros([8],float)
tup_plataan1[0]=mean(amch1[18,iplatvaa1n1])
tup_plataan1[1]=mean(amch2[18,iplatvaa2n1])
tup_plataan1[2]=mean(amch3[18,iplatvaa3n1])
tup_plataan1[3]=mean(amch4[18,iplatvaa4n1])
tup_plataan1[4]=mean(amch5[18,iplatvaa5n1])
tup_plataan1[5]=mean(amch6[18,iplatvaa6n1])
tup_plataan1[6]=mean(amch7[18,iplatvaa7n1])
tup_plataan1[7]=mean(amch15[18,iplatvaa15n1])

#ecart type
tupet_plataan1=np.zeros([8],float)
tupet_plataan1[0]=sqrt(sum(amch1[18,iplatvaa1n1]**2)/size(amch1[18,iplatvaa1n1])-mean(amch1[18,iplatvaa1n1])**2)
tupet_plataan1[1]=sqrt(sum(amch2[18,iplatvaa2n1]**2)/size(amch2[18,iplatvaa2n1])-mean(amch2[18,iplatvaa2n1])**2)
tupet_plataan1[2]=sqrt(sum(amch3[18,iplatvaa3n1]**2)/size(amch3[18,iplatvaa3n1])-mean(amch3[18,iplatvaa3n1])**2)
tupet_plataan1[3]=sqrt(sum(amch4[18,iplatvaa4n1]**2)/size(amch4[18,iplatvaa4n1])-mean(amch4[18,iplatvaa4n1])**2)
tupet_plataan1[4]=sqrt(sum(amch5[18,iplatvaa5n1]**2)/size(amch5[18,iplatvaa5n1])-mean(amch5[18,iplatvaa5n1])**2)
tupet_plataan1[5]=sqrt(sum(amch6[18,iplatvaa6n1]**2)/size(amch6[18,iplatvaa6n1])-mean(amch6[18,iplatvaa6n1])**2)
tupet_plataan1[6]=sqrt(sum(amch7[18,iplatvaa7n1]**2)/size(amch7[18,iplatvaa7n1])-mean(amch7[18,iplatvaa7n1])**2)
tupet_plataan1[7]=sqrt(sum(amch15[18,iplatvaa15n1]**2)/size(amch15[18,iplatvaa15n1])-mean(amch15[18,iplatvaa15n1])**2)


#ssmis
iplatvss1=(ssch1[1,:]<=-80)&(ssch1[12,:]<=0.5)
iplatvss2=(ssch2[1,:]<=-80)&(ssch2[12,:]<=0.5)
iplatvss3=(ssch3[1,:]<=-80)&(ssch3[12,:]<=0.5)
iplatvss4=(ssch4[1,:]<=-80)&(ssch4[12,:]<=0.5)
iplatvss5=(ssch5[1,:]<=-80)&(ssch5[12,:]<=0.5)
iplatvss8=(ssch8[1,:]<=-80)&(ssch8[12,:]<=0.5)
iplatvss9=(ssch9[1,:]<=-80)&(ssch9[12,:]<=0.5)
iplatvss10=(ssch10[1,:]<=-80)&(ssch10[12,:]<=0.5)
iplatvss11=(ssch11[1,:]<=-80)&(ssch11[12,:]<=0.5)
iplatvss12=(ssch12[1,:]<=-80)&(ssch12[12,:]<=0.5)
iplatvss13=(ssch13[1,:]<=-80)&(ssch13[12,:]<=0.5)
iplatvss14=(ssch14[1,:]<=-80)&(ssch14[12,:]<=0.5)
iplatvss15=(ssch15[1,:]<=-80)&(ssch15[12,:]<=0.5)
iplatvss16=(ssch16[1,:]<=-80)&(ssch16[12,:]<=0.5)
iplatvss17=(ssch17[1,:]<=-80)&(ssch17[12,:]<=0.5)
iplatvss18=(ssch18[1,:]<=-80)&(ssch18[12,:]<=0.5)

tup_platss=np.zeros([16],float)
tup_platss[0]=mean(ssch1[16,iplatvss1])
tup_platss[1]=mean(ssch2[16,iplatvss2])
tup_platss[2]=mean(ssch3[16,iplatvss3])
tup_platss[3]=mean(ssch4[16,iplatvss4])
tup_platss[4]=mean(ssch5[16,iplatvss5])
tup_platss[5]=mean(ssch8[16,iplatvss8])
tup_platss[6]=mean(ssch9[16,iplatvss9])
tup_platss[7]=mean(ssch10[16,iplatvss10])
tup_platss[8]=mean(ssch11[16,iplatvss11])
tup_platss[9]=mean(ssch12[16,iplatvss12])
tup_platss[10]=mean(ssch13[16,iplatvss13])
tup_platss[11]=mean(ssch14[16,iplatvss14])
tup_platss[12]=mean(ssch15[16,iplatvss15])
tup_platss[13]=mean(ssch16[16,iplatvss16])
tup_platss[14]=mean(ssch17[16,iplatvss17])
tup_platss[15]=mean(ssch18[16,iplatvss18])


#ecart types

tupet_platss=np.zeros([16],float)
tupet_platss[0]=sqrt(sum(ssch1[16,iplatvss1]**2)/size(ssch1[16,iplatvss1])-mean(ssch1[16,iplatvss1])**2)
tupet_platss[1]=sqrt(sum(ssch2[16,iplatvss2]**2)/size(ssch2[16,iplatvss2])-mean(ssch2[16,iplatvss2])**2)
tupet_platss[2]=sqrt(sum(ssch3[16,iplatvss3]**2)/size(ssch3[16,iplatvss3])-mean(ssch3[16,iplatvss3])**2)
tupet_platss[3]=sqrt(sum(ssch4[16,iplatvss4]**2)/size(ssch4[16,iplatvss4])-mean(ssch4[16,iplatvss4])**2)
tupet_platss[4]=sqrt(sum(ssch5[16,iplatvss5]**2)/size(ssch5[16,iplatvss5])-mean(ssch5[16,iplatvss5])**2)
tupet_platss[5]=sqrt(sum(ssch8[16,iplatvss8]**2)/size(ssch8[16,iplatvss8])-mean(ssch8[16,iplatvss8])**2)
tupet_platss[6]=sqrt(sum(ssch9[16,iplatvss9]**2)/size(ssch9[16,iplatvss9])-mean(ssch9[16,iplatvss9])**2)
tupet_platss[7]=sqrt(sum(ssch10[16,iplatvss10]**2)/size(ssch10[16,iplatvss10])-mean(ssch10[16,iplatvss10])**2)
tupet_platss[8]=sqrt(sum(ssch11[16,iplatvss11]**2)/size(ssch11[16,iplatvss11])-mean(ssch11[16,iplatvss11])**2)
tupet_platss[9]=sqrt(sum(ssch12[16,iplatvss12]**2)/size(ssch12[16,iplatvss12])-mean(ssch12[16,iplatvss12])**2)
tupet_platss[10]=sqrt(sum(ssch13[16,iplatvss13]**2)/size(ssch13[16,iplatvss13])-mean(ssch13[16,iplatvss13])**2)
tupet_platss[11]=sqrt(sum(ssch14[16,iplatvss14]**2)/size(ssch14[16,iplatvss14])-mean(ssch14[16,iplatvss14])**2)
tupet_platss[12]=sqrt(sum(ssch15[16,iplatvss15]**2)/size(ssch15[16,iplatvss15])-mean(ssch15[16,iplatvss15])**2)
tupet_platss[13]=sqrt(sum(ssch16[16,iplatvss16]**2)/size(ssch16[16,iplatvss16])-mean(ssch16[16,iplatvss16])**2)
tupet_platss[14]=sqrt(sum(ssch17[16,iplatvss17]**2)/size(ssch17[16,iplatvss17])-mean(ssch17[16,iplatvss17])**2)
tupet_platss[15]=sqrt(sum(ssch18[16,iplatvss18]**2)/size(ssch18[16,iplatvss18])-mean(ssch18[16,iplatvss18])**2)



for i in range(0,16):
    ti=str(ssmisch[i])
    t='tupet_platss['+str(i)+']=sqrt(sum(ssch'+ti+'[16,iplatvss'+ti+']**2)/size(ssch'+ti+'[16,iplatvss'+ti+'])-mean(ssch'+ti+'[16,iplatvss'+ti+'])**2)'
    print t

